.loader {
    width: 144px;
    height: 140px;
    margin: 0 auto;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;

    &__main {
        z-index: 10;
        top: calc(50% - 70px);
        left: calc(50% - 72px);
        width: 144px;
        height: 140px;
        position: absolute;

        animation-name: rotation;
        animation-duration: 6s;
        animation-iteration-count: infinite;
        animation-timing-function: linear;
    }

    &__logo {
        z-index: 20;
        width: 69px;
        flex-shrink: 0;
        display: block;
        position: relative;
    }

    &__circle {
        top: -88px;
        right: -102px;
        z-index: 1;
        width: 582px;
        height: 546px;
        position: absolute;
    }

    &__pattern {
        top: -208px;
        left: -63px;
        z-index: 1;
        width: 414px;
        height: 438px;
        position: absolute;
    }
}

@keyframes rotation {
    0% {
        transform:rotate(0deg);
    }
    100% {
        transform:rotate(360deg);
    }
}
